BlogComputingGuides

Upgrade Macpro 4.1 en 5.1

Bien réaliser son upgrade Macpro 4.1 en 5.1

J’adore le Macpro pour son potentiel et ses possibilités d’upgrade. J’ai acheté une version 4.1 sur EBay pour 512€, frais de livraison compris. Livré en 3 jours par un professionnel anglais, le Mac est arrivé en excellent état, fraichement installé avec El Capitan. Mais pourquoi pas Sierra ?

Je rappelle qu’il n’est pas possible d’installer Mac OS Sierra sur un Macpro 4.1. En effet, nativement, le modèle 2009 (4.1) accepte jusqu’à Mac OS El Capitan et pas au delà. Pourtant, rien n’empêche à cette plateforme Intel de faire tourner Sierra, hormis son malheureux EFI obsolète. Mais une solution existe. Un upgrade EFI est disponible et transforme votre Macpro 4.1 en 5.1, rendant accessible à ces vieux modèles, les dernières versions de Mac OS. Du même coup, cet upgrade permet aussi d’améliorer la configuration matérielle et de prolonger leur existence.

Pour illustrer cette migration, je dispose d’un Macpro 4.1 Intel Xeon Nehalem QuadCore à 2,66Mhz (W3520) avec une carte graphique GT120 Apple et 8Go de RAM DDR3 ECC 1066Mhz. Désormais rien ne m’empêchera de passer sur un processeur plus puissant tel que Intel Xeon W3670 (6 coeurs) cadencé à 3.2 GHz. Quelques prérequis sont obligatoires avant de pouvoir faire le pas vers le 5.1 mais l’opération reste simple et accessible à la majorité des utilisateurs.

Prérequis

Dans un premier temps, vous devez avoir mis à jour votre SMC (contrôleur de gestion). Dans votre rapport système, la version de la ROM de démarrage doit être au niveau minimum MP51.007F.B03 ; la version SMC doit être quant à elle au niveau minimum 1.39f5 (idem pour le processeur). Pour ceux, qui n’ont pas encore mis à jour le Firmware, voici l’upgrade à télécharger du Firmware 1.5 Apple. C’est un package qu’il suffit d’installer. Rien de bien compliqué.

Le mode opératoire

Pour upgrader l’EFI du Macpro 4.1, il suffit de télécharger l’utilitaire Mac Pro 2009-2010 Firmware Tool (petit exécutable de 250Ko) sur le forum NetKas.org et de lancer l’application. Au préalable, vous devez absolument désactiver le SIP (System Integrity Protection) afin d’opérer sans contrainte. Pour le faire, il suffit de rebooter votre Mac en mode Recovery (CMD+R) ; d’aller ensuite dans le menu Utilitaires et de sélectionner Terminal.

Rappel pour le passage en superuser root:

$ sudo su -
password :
#

Tapez les commandes suivantes :

# csrutil status
# csrutil disable; reboot

Une fois rebooté, lancez l’application Mac Pro 2009-2010 Firmware Tool… il suffit de suive les indications sur l’écran. Un dialogue vous invite à éteindre votre Mac…

Upgrade Macpro 4.1 en 5.1

Eteignez le Mac puis redémarrez en tenant appuyé le bouton de démarrage jusqu’au clignotement de la diode d’activité. Dès le clignotement de la diode blanche, lâchez le bouton. Un long bip est émis par le Mac et l’upgrade commence. Attention, veillez à laisser l’installation se faire dans les meilleures conditions, c’est à dire sans coupure électrique ou autre manipulation hasardeuse sur le Mac.

Upgrade Macpro 4.1 en 5.1

Une fois l’upgrade terminé, le Mac reboot. Contrôlez que l’opération s’est bien déroulée en vérifiant la version du Mac dans le dialogue Rapport Système. Vous devez voir apparaitre MacPro5,1 sur la ligne du modèle.

Upgrade Macpro 4.1 en 5.1

N’oubliez pas ! Une fois que l’upgrade EFI aura été réalisé alors il faudra ré-activer le SIP en mode Recovery.

# csrutil enable; reboot

Problème référencé

Il arrive parfois que l’utilitaire Mac Pro 2009-2010 Firmware Tool affiche une erreur du type 5570. Pas de panique, cette erreur apparait lorsque l’utilitaire Mac Pro 2009-2010 Firmware Tool doit être patché ; il n’est pas efficient sur votre plateforme ou vous disposez d’une version incompatible.

Téléchargez le patch suivant (fichier patch.tgz) et placez le sur le bureau du Mac. L’utilitaire Mac Pro 2009-2010 Firmware Tool doit être aussi sur le bureau du Mac. Lancez une fenêtre Terminal et passez en superuser root :

$ sudo su -
password :
#

Puis saisissez les commandes suivantes pour patcher l’utilitaire Mac Pro 2009-2010 Firmware Tool :

# cd /Users/myux/Desktop
# tar -zxvf patch.tgz
# patch "Mac Pro 2009-2010 Firmware Tool.app/Contents/Resources/Scripts/Mac Pro 2009-2010 Firmware Tool.scpt" 2009_2010.patch

Une fois l’utilitaire Mac Pro 2009-2010 Firmware Tool corrigé, relancez et suivez le mode opératoire normal.

Conclusion

Cet upgrade EFI est essentiel pour vous permettre de continuer à utiliser les derniers Mac OS sur ces anciens Mac. De plus, vous pouvez aussi envisager de gonfler le Macpro avec des processeurs plus puissants. Finalement, il n’y a que des avantages à réaliser cet upgrade. N’hésitez pas à vous lancer…

Les téléchargements

Mac Pro 2009-2010 Firmware Tool (ZIP, 250Ko)
Mac Pro EFI 1.5 Update (DMG, 2.2mo)
Patch EFI (TAR, 2Ko)

Tags
Afficher plus

13 commentaires

  1. Hello. Juste pour info: l’erreur 5770, il n’est pas nécessaire de patcher l’utilitaire: il faut simplement télécharger Mac Pro EFI Update (https://support.apple.com/kb/DL1321?locale=en_US ) et l’avoir ouvert sur son bureau (ne pas chercher à l’installer, ca marchera évidemment pas). Alors peut être que çà n’a fonctionner comme cela que pour moi, hein… mais çà simplifie un peu la procédure, mettons. Il n’a pas été nécessaire, d’ailleurs, d’avoir l’utilitaire sur le bureau, à ce moment là. Merci néanmoins pour la page: je n’y arrivais pas et j’avais oublié (ainsi que nombre de tutos sur le net sur le sujet) le csrutil disable… (:

    1. Hello,
      Pour autant, j’ai répété cette opération plusieurs fois… j’ai certainement eu le même type de MacPro pour que tout se passe comme indiqué.
      Du coup, merci pour la précision ! C’est cool. (Hello ! I repeated this operation many times … I certainly had the same type of MacPro for everything to go as good. However, thanks for the precision! It’s cool.)

  2. Bonjour je n’arrive pas installer le package du firmware 1,5 d’apple, lors de l’installation on me dit que mon système n’est pas supporté. Je suis en 10.10.5 et sur le site d’apple le package semble être pris en charge dés le 10,6,2.
    Doit-je obligatoirement passer sous El Capitan?

    1. Bon, je réponds à moi même et si ça peut servir à quelqu’un, sous Yosemite nul besoin de désactiver le SIP, ça fonctionne easy…

      1. Hello,

        C’est dingue, j’ai refait cette procédure plusieurs fois, il a fallu que je swap avec ce foutu SIP.
        Est-ce dû à l’installation initiale de mon Mac ?
        Merci pour l’info.
        Cordialement,

    2. Bonjour,

      Pour ma part j’étais déjà sous El Capitan.
      Je suppose que tu es sous Yosemite.
      Du coup, il faut certainement trouver le firmware correspondant.

      1. Bonjour,
        Je suis en MacPro 2009 et n’arrive pas à installer le firmware 1.5, j’ai le message que ce logiciel n’est pas pris en charge par mon système

        1. Bonjour,
          Quelques prérequis…
          Vous devez être en Mac OS El Capitan tout update !
          Le SMC doit être à jour grace au firmware 1.5, mais ne peux se faire que si la ROM est aussi au niveau.
          Il faut peut-etre mettre à jour en passant par un firmware plus ancien (1.3 ???) puis passer par le 1.5 après, dans votre cas.
          Je pense que c’est plus lié à votre Mac OS.

  3. Bonjour,

    Merci pour ces indications claires et riches !
    Je souhaite réaliser l’upgrade du firmware 4.1 vers 5.1 sur mon Mac 2009 début, mais je ne compte pas mettre à jour l’OS de mon mac (question de compatibilité de l’ensemble de mes applications). Je cherche uniquement à changer de processeur.
    Est il possible que cette mise à jour du firmware impacte le fonctionnement de mes applications (sans upgrade d’OS) ?
    Pourrai je installer un processeur plus récent sans installer High Sierra ?
    Où puis je trouver une liste des processeur compatibles ?
    Merci beaucoup pour vos conseils !!

    1. Bonjour,

      La mise à jour du Firmware n’impacte rien au fonctionnement de votre actuel OS.
      Dans tous les cas, être en 5.1 donne tout de suite de la valeur à votre Mac Pro et autorise un upgrade de PROC ; c’est bien ce que vous voulez faire.
      Les procs valident sont les Intel X5690 à 3,5 ghz ou 2,9 (vous pouvez aussi changer la RAM pour passer à 1333Mhz).
      Je trouve que le coup de fouet n’est pas fulgurant… autant avoir un bon SSD et plus de RAM.
      A vous de voir…
      Cordialement,

  4. Excellent, Merci pour ce Tuto précis et en plus avec le correctif 5570 🙂
    Je viens du monde PC et on viens de me donner un MACPRO 4.1.
    Quel pied de pouvoir upgrader son mac (comme sur PC). Je vais commander 2 processeurs (W3670) qu’on trouve a 30$ maintenant….

    1. Bonsoir,

      Oui le Macpro 4.1 a encore quelques années devant lui.
      MacOS est un Unix ! Le Mac est un matériel adapté à MacOS… le couple est très pérenne !
      J’adore Apple, non par l’image qu’elle véhicule, mais par le choix technologique que Jobs avait fait après NeXT.
      Bye,

Laisser un commentaire

%d blogueurs aiment cette page :